Module java.compiler
Package javax.lang.model.type

# Interface NullType

All Superinterfaces:
  `AnnotatedConstruct`, `ReferenceType`, `TypeMirror`

public interface NullType extends ReferenceType
Represents the null type. This is the type of the expression `null`,

See Java Language Specification:
  3.10.7 The Null Literal
  4.1 The Kinds of Types and Values
Since:
  1.6
See Also:
  - `Types.getNullType()`

## Method Summary

### Methods declared in interface javax.lang.model.type.TypeMirror

`accept, equals, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, hashCode, toString`